package com.fs.tzBankPay.doman;

public enum PayType {
    ACCOUNT_PAYMENT("01"),
    B2C_GATEWAY("02"),
    B2B_GATEWAY("03"),
    QUICK_PAYMENT("04"),
    ENTERPRISE_CREDIT_PAYMENT("06"),
    E_PURCHASE_LOAN_PAYMENT("08"),
    DIGITAL_RMB_PAYMENT("09"),
    WECHAT_MINI_PROGRAM_PAYMENT("14"),
    WECHAT_PUBLIC_ACCOUNT("15"),
    WECHAT_QR_CODE_PAYMENT("16"),
    ALIPAY_BARCODE_PAYMENT("27"),
    CLOUD_QUICK_PASS("44"),
    TAIWAN_AND_VILLAGE_BANK_CARD_PAYMENT("45"),
    B2B_ONLINE_BANKING("46"),
    B2C_ONLINE_BANKING("47"),
    WALLET_PAYMENT("48"),
    TAIWAN_AND_VILLAGE_ENTERPRISE_ACCOUNT_PAYMENT("49"),
    SUPPLY_CHAIN_CREDIT_PAYMENT("51"),
    UNIONPAY_PAYMENT("53"),
    UNIONPAY_CONTRACT_PAYMENT("55"),
    PAYMENT_ON_BEHALF("99");

    private final String code;

    PayType(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }
}
